> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mintlify-f27640bd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get badge for a group

> Get group status badge. You can enable the badges feature in [account settings](https://app.checklyhq.com/settings/account/general)



## OpenAPI

````yaml get /v1/badges/groups/{groupId}
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/badges/groups/{groupId}:
    get:
      tags:
        - Badges
      description: >-
        Get group status badge. You can enable the badges feature in [account
        settings](https://app.checklyhq.com/settings/account/general)
      operationId: getV1BadgesGroupsGroupid
      parameters:
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
          required: true
          name: groupId
          in: path
        - schema:
            $ref: '#/components/schemas/BadgeStyle'
          required: false
          name: style
          in: query
        - schema:
            $ref: '#/components/schemas/BadgeTheme'
          required: false
          name: theme
          in: query
        - schema:
            type: boolean
            default: false
          required: false
          name: responseTime
          in: query
      responses:
        '200':
          description: Successful
          content:
            image/svg+xml:
              schema:
                $ref: '#/components/schemas/BadgeSvgResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    BadgeStyle:
      type: string
      enum:
        - flat
        - plastic
        - flat-square
        - for-the-badge
        - social
      default: flat
    BadgeTheme:
      type: string
      enum:
        - light
        - dark
        - default
      default: default
    BadgeSvgResponse:
      type: string
      pattern: (<svg)([^<]*|[^>]*)
      description: An SVG image containing the current Checkly check or group status.
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    TooManyRequestsError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 429
        error:
          $ref: '#/components/schemas/Model2'
        message:
          type: string
          example: Too Many Requests
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    Model2:
      type: string
      enum:
        - Too Many Requests
    attributes:
      type: object
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````